-module(dcell).
-export([cell/1,start/1]).

cell(Content) -> 
  receive
    {set, NewContent} -> cell(NewContent); 
    {get, Customer}   -> Customer ! Content, 
                         cell(Content)
  end.

start(Content) -> 
  register(dcell, spawn(dcell, cell, [Content])).
